Bug 28569 - In opac-suggestions.pl user library is not preselected
Summary: In opac-suggestions.pl user library is not preselected
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-16 09:13 UTC by Fridolin Somers
Modified: 2021-08-16 21:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28569: In opac-suggestions.pl preselect user library (2.37 KB, patch)
2021-06-16 09:23 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28569: In opac-suggestions.pl preselect user library (2.42 KB, patch)
2021-06-16 11:25 UTC, David Nind
Details | Diff | Splinter Review
Bug 28569: In opac-suggestions.pl preselect user library (2.47 KB, patch)
2021-06-18 13:02 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-06-16 09:13:12 UTC
In OPAC new purchase suggestion opac-suggestions.pl for library combobox :
actually first value is selected, user library should be selected.
Comment 1 Fridolin Somers 2021-06-16 09:23:58 UTC
Created attachment 122022 [details] [review]
Bug 28569: In opac-suggestions.pl preselect user library

In OPAC new purchase suggestion opac-suggestions.pl for library combobox :
actually first value is selected, user library should be selected.

Test plan :
1) Create a new library named 'ZZZ top'
2) Set this library on a user U1
2) Loggin at OPAC with user U1
3) Create a new suggestion
=> Check library 'ZZZ top' is preselected
Comment 2 Jonathan Druart 2021-06-16 10:11:06 UTC
Please remember:
- The title of the bug report describes shortly what the *problem is*
- The title of the patch describes shortly what the *patch does*

https://wiki.koha-community.org/wiki/Commit_messages
Comment 3 David Nind 2021-06-16 11:25:49 UTC
Created attachment 122032 [details] [review]
Bug 28569: In opac-suggestions.pl preselect user library

In OPAC new purchase suggestion opac-suggestions.pl for library combobox :
actually first value is selected, user library should be selected.

Test plan :
1) Create a new library named 'ZZZ top'
2) Set this library on a user U1
2) Loggin at OPAC with user U1
3) Create a new suggestion
=> Check library 'ZZZ top' is preselected

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Fridolin Somers 2021-06-16 15:04:22 UTC
(In reply to Jonathan Druart from comment #2)
> Please remember:
> - The title of the bug report describes shortly what the *problem is*
> - The title of the patch describes shortly what the *patch does*
> 
> https://wiki.koha-community.org/wiki/Commit_messages

Arf indeed, i'll try to do better
Comment 5 Nick Clemens 2021-06-18 13:02:50 UTC
Created attachment 122128 [details] [review]
Bug 28569: In opac-suggestions.pl preselect user library

In OPAC new purchase suggestion opac-suggestions.pl for library combobox :
actually first value is selected, user library should be selected.

Test plan :
1) Create a new library named 'ZZZ top'
2) Set this library on a user U1
2) Loggin at OPAC with user U1
3) Create a new suggestion
=> Check library 'ZZZ top' is preselected

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-06-18 14:36:44 UTC
(In reply to Fridolin Somers from comment #4)
> (In reply to Jonathan Druart from comment #2)
> > Please remember:
> > - The title of the bug report describes shortly what the *problem is*
> > - The title of the patch describes shortly what the *patch does*
> > 
> > https://wiki.koha-community.org/wiki/Commit_messages
> 
> Arf indeed, i'll try to do better

Do it please.
Comment 7 Fridolin Somers 2021-08-04 07:41:52 UTC
Done,
Comment 8 Jonathan Druart 2021-08-11 11:23:55 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-08-13 11:33:15 UTC
Pushed to 21.05.x for 21.05.03
Comment 10 Fridolin Somers 2021-08-13 20:10:38 UTC
Pushed to 20.11.x for 20.11.09
Comment 11 Victor Grousset/tuxayo 2021-08-16 21:08:30 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.